Breadcrumbs

Metavault API - Get pit table list

GetPitTables - GET

Path

/api/projects/{projectId}/model/{entityType}/{entityId}/pit_tables

Http Method

GET

Overview

Required permissions

  • Read access to the Build module. BUILD READ

Request

Path parameters

Parameter

Type

Required

Description

Example

entityType

string

Yes

The type of entity the satellites are attached to. One of:

  • hubs

  • links

hubs

entityId

string

Yes

The id of the link or hub

4a46da35-16dc-4e3e-9356-ecb6f4f61a29

Query parameters

See: Metavault API - General concepts | Paging, sorting and filters for collection query parameters.

Response

Success response (200 OK)

JSON
{
  "_embedded": {
    "pitTables": [
      {
        "_embedded": {
          "snapshot": {
            "id": "bdc559dd-bf03-4e1c-b2b8-c724b80da1d3",
            "name": "SN01",
            "description": "SN01",
            "type": "Load"
          }
        },
        "id": "c3e11932-4979-4617-b6d3-c7f4f01a3ee2",
        "name": "employee_sn01",
        "description": "My description",
        "satellites": [
          {
            "satelliteId": "27d589a3-6333-4d23-b86f-8be4429e15c7",
            "pitTableId": "c3e11932-4979-4617-b6d3-c7f4f01a3ee2",
            "id": "4847daab-4a5f-4d1b-9896-73021e20e915"
          },
          {
            "satelliteId": "02bffe26-e238-4649-bf81-fb65baddbe53",
            "pitTableId": "c3e11932-4979-4617-b6d3-c7f4f01a3ee2",
            "id": "5b8e56e3-b770-4754-81f8-fb03073d84e2"
          }
        ],
        "parentType": "Hub"
      }
    ]
  },
  "sort": [],
  "index": 0,
  "limit": 10,
  "expand": [],
  "total": 1
}
Response fields

For collection parameter responses see:Metavault API - General concepts